## systemsettings 5.16.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(PROJECT_VERSION "5.16.5")

project(systemsettings VERSION ${PROJECT_VERSION})
set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.58.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(ECMQMLModules)
include(ECMQtDeclareLoggingCategory)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets Quick Qml QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    ItemViews
    KCMUtils
    I18n
    KIO
    Service
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui
    DBusAddons
    Config
    DocTools
    Package
    Declarative
    Activities
    ActivitiesStats
    OPTIONAL_COMPONENTS
    KHtml
    QUIET
)

ecm_find_qmlmodule(org.kde.kcm 1.0)

find_package(KF5Kirigami2 2.1 CONFIG REQUIRED)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)

add_subdirectory(core)
add_subdirectory(app)
add_subdirectory(categories)
add_subdirectory(icons)
add_subdirectory(sidebar)
add_subdirectory(doc)

if(KF5KHtml_FOUND)
    add_subdirectory(classic)
endif()

install(FILES systemsettings.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== app/CMakeLists.txt ===

include_directories( ToolTips )

set( systemsettings_SRCS
     SystemSettingsApp.cpp
     SettingsBase.cpp
     ToolTips/tooltipmanager.cpp
     main.cpp )

ecm_qt_declare_logging_category(systemsettings_SRCS HEADER systemsettings_app_debug.h IDENTIFIER SYSTEMSETTINGS_APP_LOG CATEGORY_NAME org.kde.systemsettings.app)

# port it it's in kdelibs4support
# kde4_add_app_icon( systemsettings_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/categories/preferences-system.png" )
ki18n_wrap_ui( systemsettings_SRCS configDialog.ui )
kconfig_add_kcfg_files( systemsettings_SRCS BaseConfig.kcfgc )
qt5_add_dbus_adaptor( systemsettings_SRCS org.kde.systemsettings.xml SystemSettingsApp.h SystemSettingsApp  )

add_executable( systemsettings5 ${systemsettings_SRCS})
target_compile_definitions(systemsettings5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries( systemsettings5 systemsettingsview
    KF5::Crash
    KF5::ItemViews
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::KIOWidgets
    KF5::Service
    KF5::WindowSystem
    KF5::XmlGui
    KF5::DBusAddons
    KF5::ConfigGui
    KF5::QuickAddons
    PW::KWorkspace
)

install( TARGETS systemsettings5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES systemsettings.kcfg DESTINATION ${KDE_INSTALL_DATADIR}/systemsettings )
install( FILES systemsettingsui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/systemsettings )
install( PROGRAMS kdesystemsettings.desktop systemsettings.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.systemsettings.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
systemsettings (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:26:06 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               kirigami2-dev (>= 5.58.0~),
               libkf5activities-dev (>= 5.58.0~),
               libkf5activitiesstats-dev (>= 5.58.0~),
               libkf5config-dev (>= 5.58.0~),
               libkf5crash-dev (>= 5.58.0~),
               libkf5dbusaddons-dev (>= 5.58.0~),
               libkf5declarative-dev (>= 5.58.0~),
               libkf5doctools-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5itemviews-dev (>= 5.58.0~),
               libkf5kcmutils-dev (>= 5.58.0~),
               libkf5khtml-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5package-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5windowsystem-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.16.5~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Replaces: systemsettings-data (<< 4:5.0.2+git20140920~), ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.17.2

=== debian/changelog ===
systemsettings (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * Conflict with kde-config-systemd.
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:47 +0000

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.62.0~),
               kirigami2-dev (>= 5.62.0~),
               libkf5activities-dev (>= 5.62.0~),
               libkf5activitiesstats-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5declarative-dev (>= 5.62.0~),
               libkf5doctools-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.62.0~),
               libkf5kcmutils-dev (>= 5.62.0~),
               libkf5khtml-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5package-dev (>= 5.62.0~),
               libkf5service-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libkf5xmlgui-dev (>= 5.62.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.17.2~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd,
        systemsettings-data (<< 4:5.0.2+git20140920~),
        ${kde-l10n:all}
Replaces: kde-config-systemd,
          systemsettings-data (<< 4:5.0.2+git20140920~),
          ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.17.3

=== debian/changelog ===
systemsettings (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:32 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.62.0~),
                libkf5xmlgui-dev (>= 5.62.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.17.2~),
+               plasma-workspace-dev (>= 4:5.17.3~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.17.4

=== debian/changelog ===
systemsettings (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:47 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.62.0~),
                libkf5xmlgui-dev (>= 5.62.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.17.3~),
+               plasma-workspace-dev (>= 4:5.17.4~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.17.5

=== debian/changelog ===
systemsettings (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add breaks/replaces against kde-config-systemd < 1.2.1-3.1, as that version
    stops shipping settings-system-administration.desktop (now shipped by
    systemsettings). (Closes: #949318)

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2020 08:46:03 +0100

systemsettings (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - 0001-systemsettings.desktop-Fix-zh_CN-translation-bug-in-.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused libkf5khtml-dev
    - explicitly add gettext
  * Remove breaks/replaces for versions older than oldstable.
  * Drop the migration from systemsettings-dbg, no more needed after two
    Debian stable releases.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Stop forcing the local destdir to debian/tmp, and install directly in the
    right place:
    - remove all the development files, not needed
    - drop systemsettings.install, and not-installed, no more needed
  * Unregister systemsettings.categories as conffile, as it is no more in /etc.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 09:24:39 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.62.0~),
               libkf5activitiesstats-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5declarative-dev (>= 5.62.0~),
               libkf5doctools-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5itemviews-dev (>= 5.62.0~),
               libkf5kcmutils-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5package-dev (>= 5.62.0~),
               libkf5service-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libkf5xmlgui-dev (>= 5.62.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.16.5~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_install:
	dh_auto_install
	# drop development files
	rm -rf debian/systemsettings/usr/include/
	find debian/systemsettings -type l -name '*.so' -print -delete

## systemsettings 5.17.90

=== debian/changelog ===
systemsettings (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:10:01 +0000

systemsettings (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:37 +0000

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kirigami2-dev (>= 5.66.0~),
               libkf5activities-dev (>= 5.66.0~),
               libkf5activitiesstats-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5crash-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5iconthemes-dev (>= 5.66.0~),
               libkf5itemviews-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5khtml-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5package-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.17.90~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd,
        systemsettings-data (<< 4:5.0.2+git20140920~),
        ${kde-l10n:all}
Replaces: kde-config-systemd,
          systemsettings-data (<< 4:5.0.2+git20140920~),
          ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(PROJECT_VERSION "5.18.0")

project(systemsettings VERSION ${PROJECT_VERSION})
set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.65.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(GenerateExportHeader)
include(ECMQMLModules)
include(ECMQtDeclareLoggingCategory)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)


find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets Quick Qml QuickWidgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    ItemViews
    ItemModels
    KCMUtils
    I18n
    KIO
    Service
    IconThemes
    WidgetsAddons
    WindowSystem
    XmlGui
    DBusAddons
    Config
    DocTools
    Package
    Declarative
    Activities
    ActivitiesStats
    QUIET
)

ecm_find_qmlmodule(org.kde.kcm 1.0)

find_package(KF5Kirigami2 2.1 CONFIG REQUIRED)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
endif()

add_subdirectory(core)
add_subdirectory(app)
add_subdirectory(categories)
add_subdirectory(icons)
add_subdirectory(sidebar)
add_subdirectory(doc)

install(FILES systemsettings.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== debian/changelog ===
systemsettings (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:56 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.17.90~),
+               plasma-workspace-dev (>= 4:5.18.0~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.1

=== debian/changelog ===
systemsettings (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:42 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.0~),
+               plasma-workspace-dev (>= 4:5.18.1~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.2

=== debian/changelog ===
systemsettings (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:53 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.1~),
+               plasma-workspace-dev (>= 4:5.18.2~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.3

=== debian/changelog ===
systemsettings (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:50 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.2~),
+               plasma-workspace-dev (>= 4:5.18.3~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.18.0")
+set(PROJECT_VERSION "5.18.4")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.12.0")

=== debian/changelog ===
systemsettings (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:19 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.3~),
+               plasma-workspace-dev (>= 4:5.18.4.1~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.5

=== debian/changelog ===
systemsettings (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:43:16 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.4.1~),
+               plasma-workspace-dev (>= 4:5.18.5~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.18.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.7")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.12.0")

=== debian/changelog ===
systemsettings (4:5.18.7-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.7) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:52 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.66.0~),
                libkf5xmlgui-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.5~),
+               plasma-workspace-dev (>= 4:5.18.8~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.19.2

=== debian/changelog ===
systemsettings (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:26 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               kirigami2-dev (>= 5.70.0~),
               libkf5activities-dev (>= 5.70.0~),
               libkf5activitiesstats-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5khtml-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.19.2~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd,
        systemsettings-data (<< 4:5.0.2+git20140920~),
        ${kde-l10n:all}
Replaces: kde-config-systemd,
          systemsettings-data (<< 4:5.0.2+git20140920~),
          ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.19.3

=== debian/changelog ===
systemsettings (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:02:17 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.70.0~),
                libkf5xmlgui-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.19.2~),
+               plasma-workspace-dev (>= 4:5.19.3~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.19.4

=== debian/changelog ===
systemsettings (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5windowsystem-dev (>= 5.70.0~),
                libkf5xmlgui-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.19.3~),
+               plasma-workspace-dev (>= 4:5.19.4~),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4

## systemsettings 5.19.5

=== categories/CMakeLists.txt ===

install( FILES systemsettingscategory.desktop DESTINATION  ${KDE_INSTALL_KSERVICETYPES5DIR} )

install( FILES 
    settings-appearance.desktop
    settings-appearance-applicationstyle.desktop
    settings-appearance-color.desktop
    settings-appearance-font.desktop
    settings-appearance-icons.desktop

    settings-workspace.desktop
    settings-workspace-windowmanagement.desktop
    settings-workspace-desktopbehavior.desktop
    settings-workspace-shortcuts.desktop
    settings-workspace-session.desktop
    settings-workspace-search.desktop

    settings-personalization.desktop
    settings-personalization-accountdetails.desktop
    settings-personalization-accessibility.desktop
    settings-personalization-regionalsettings.desktop
    settings-personalization-notification.desktop
    settings-personalization-applications.desktop

    settings-network.desktop
    settings-network-networksettings.desktop
    settings-network-connectivity.desktop

    settings-hardware.desktop
    settings-hardware-display.desktop
    settings-hardware-input.desktop
    settings-hardware-multimedia.desktop
    settings-hardware-peripherals.desktop
    settings-hardware-powermanagement.desktop
    settings-hardware-removable-storage.desktop

    settings-system-administration.desktop

    DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

if (NOT WIN32)
    install( FILES
         settings-network-bluetooth.desktop
         DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
endif ()

=== debian/changelog ===
systemsettings (4:5.19.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qml-module-org-kde-kitemmodels as a dependency to allow editing
    Window Rules.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 06:48:45 +0900

systemsettings (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:44 +0900

systemsettings (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Tighten B-D on plasma-workspace-dev.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 21:15:20 +0900

systemsettings (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Enable build hardening.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 16 Oct 2020 15:00:32 +0900

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.70.0~),
               libkf5activitiesstats-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.19.5~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.20.3

=== debian/changelog ===
systemsettings (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:54:58 +0000

systemsettings (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:37 +0100

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               kirigami2-dev (>= 5.70.0~),
               libkf5activities-dev (>= 5.70.0~),
               libkf5activitiesstats-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5itemviews-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5khtml-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.20.3~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/systemsettings
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/systemsettings

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd,
        systemsettings-data (<< 4:5.0.2+git20140920~),
        ${kde-l10n:all}
Replaces: kde-config-systemd,
          systemsettings-data (<< 4:5.0.2+git20140920~),
          ${kde-l10n:all}
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.20.4

=== debian/changelog ===
systemsettings (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:39 +0900

systemsettings (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:34 +0900

=== debian/control ===
Source: systemsettings
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               kirigami2-dev (>= 2.1~),
               libkf5activities-dev (>= 5.74.0~),
               libkf5activitiesstats-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5crash-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5itemviews-dev (>= 5.74.0~),
               libkf5kcmutils-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5package-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.20~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/systemsettings
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git
Rules-Requires-Root: no

Package: systemsettings
Architecture: any
Depends: qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kitemmodels,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-systemd (<< 1.2.1-3.1~)
Replaces: kde-config-systemd (<< 1.2.1-3.1~)
Description: System Settings interface
 Desktop configuration application.
 .
 This package is part of the KDE base workspace module.

## systemsettings 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.18.7")
+set(PROJECT_VERSION "5.20.5")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.65.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -45,6 +45,7 @@
     Declarative
     Activities
     ActivitiesStats
+    GuiAddons # UrlHanlder hanldes help:/ urls
     QUIET
 )

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 include_directories( ToolTips )
 
 set( systemsettings_SRCS
-     SystemSettingsApp.cpp
      SettingsBase.cpp
      ToolTips/tooltipmanager.cpp
      main.cpp )
@@ -13,7 +12,6 @@
 # kde4_add_app_icon( systemsettings_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/categories/preferences-system.png" )
 ki18n_wrap_ui( systemsettings_SRCS configDialog.ui )
 kconfig_add_kcfg_files( systemsettings_SRCS BaseConfig.kcfgc )
-qt5_add_dbus_adaptor( systemsettings_SRCS org.kde.systemsettings.xml SystemSettingsApp.h SystemSettingsApp  )
 
 add_executable( systemsettings5 ${systemsettings_SRCS})
 target_compile_definitions(systemsettings5 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
@@ -31,6 +29,7 @@
     KF5::DBusAddons
     KF5::ConfigGui
     KF5::QuickAddons
+    KF5::GuiAddons # UrlHanlder handles help:/ urls
     PW::KWorkspace
 )
 
@@ -38,4 +37,8 @@
 install( FILES systemsettings.kcfg DESTINATION ${KDE_INSTALL_DATADIR}/systemsettings )
 install( FILES systemsettingsui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/systemsettings )
 install( PROGRAMS kdesystemsettings.desktop systemsettings.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
+install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
+install(
+    CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \"${KDE_INSTALL_FULL_APPDIR}/systemsettings.desktop\" \"\$ENV{DESTDIR}${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel/systemsettings.desktop\")"
+)
 install(FILES org.kde.systemsettings.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== sidebar/CMakeLists.txt ===
set( sidebar_mode_srcs
     SidebarMode.cpp
     ToolTips/tooltipmanager.cpp
) 

add_library(systemsettings_sidebar_mode MODULE ${sidebar_mode_srcs})

target_link_libraries(systemsettings_sidebar_mode systemsettingsview
    KF5::ItemViews
    KF5::ItemModels
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Service
    KF5::XmlGui
    KF5::Package
    KF5::Declarative
    KF5::ActivitiesStats
    Qt5::Qml
    Qt5::Quick
    Qt5::QuickWidgets
)

install( TARGETS systemsettings_sidebar_mode DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES settings-sidebar-view.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
install(DIRECTORY package/ DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kpackage/genericqml/org.kde.systemsettings.sidebar)

=== debian/changelog ===
systemsettings (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Bump the plasma-workspace-dev build dependency to 5.20.5.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 10:22:44 +0100

systemsettings (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:54 +0900

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20~),
+               plasma-workspace-dev (>= 4:5.20.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/systemsettings
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/systemsettings
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/systemsettings.git

## systemsettings 5.20.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.20.90")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
@@ -13,9 +13,12 @@
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
-include(GenerateExportHeader)
 include(ECMQMLModules)
 include(ECMQtDeclareLoggingCategory)
+if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
+    include(KDEGitCommitHooks)
+endif()
+
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_NO_CAST_FROM_ASCII)
@@ -66,11 +69,14 @@
 add_subdirectory(sidebar)
 add_subdirectory(doc)
 
-install(FILES systemsettings.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(EXPORT SYSTEMSETTINGS FILE systemsettings.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
systemsettings (4:5.20.90-0ubuntu2) hirsute; urgency=medium

  * Add upstream fixes patch.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 23:28:58 +0000

systemsettings (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:48 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20.5~),
+               plasma-workspace-dev (>= 4:5.20.90~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.20.90")
+set(PROJECT_VERSION "5.21.0")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
systemsettings (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)
  * Drop included upstream_fixes.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:47 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.20.90~),
+               plasma-workspace-dev (>= 4:5.21.0~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.21.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.21.0")
+set(PROJECT_VERSION "5.21.1")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")

## systemsettings 5.21.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 
-set(PROJECT_VERSION "5.21.1")
+set(PROJECT_VERSION "5.21.2")
 
 project(systemsettings VERSION ${PROJECT_VERSION})
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
systemsettings (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:14:35 +0000

systemsettings (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:08:09 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.0~),
+               plasma-workspace-dev (>= 4:5.21.2~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## systemsettings 5.21.3

=== debian/changelog ===
systemsettings (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:37:05 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libkf5windowsystem-dev (>= 5.74.0~),
                libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.2~),
+               plasma-workspace-dev (>= 4:5.21.3~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
